### org.jfree.layouting.modules.output.graphics

# Class LogicalPageDrawable

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.graphics.LogicalPageDrawable`

Implemented Interfaces:
  PageDrawable

`public class LogicalPageDrawable`
`extends java.lang.Object`
`implements PageDrawable`

The page drawable is the content provider for the Graphics2DOutputTarget. This component is responsible for rendering the current page to a Graphics2D object.

Author:
  Thomas Morgner

  ## Constructor Summary

  `LogicalPageDrawable(LogicalPageBox rootBox)`

  ## Method Summary

  `void`

  `draw(Graphics2D g2, Rectangle2D area)`
    Draws the object.

  `void`

  `drawBox(Graphics2D g2, RenderBox box, int level)`

  `PageFormat`

  `getPageFormat()`
    Describes the physical output characteristics like page size, margins, and imaginable area.

  `Dimension`

  `getPreferredSize()`
    Returns the preferred size of the drawable.

  `static String`

  `glpyhToString(Glyph g)`

  `boolean`

  `isPreserveAspectRatio()`
    Returns true, if this drawable will preserve an aspect ratio during the drawing.

## Constructor Details

### LogicalPageDrawable

    public LogicalPageDrawable(LogicalPageBox rootBox)

## Method Details

### draw

    public void draw(Graphics2D g2,
                     Rectangle2D area)

> Draws the object.
> Specified by:
>   draw in interface PageDrawable
> Parameters:
>   `g2` - the graphics device.
>   `area` - the area inside which the object should be drawn.

### drawBox

    public void drawBox(Graphics2D g2,
                        RenderBox box,
                        int level)

### getPageFormat

    public PageFormat getPageFormat()

> Describes the physical output characteristics like page size, margins, and imaginable area.
> Specified by:
>   getPageFormat in interface PageDrawable
> Returns:

### getPreferredSize

    public Dimension getPreferredSize()

> Returns the preferred size of the drawable. If the drawable is aspect ratio aware, these bounds should be used to compute the preferred aspect ratio for this drawable.
> Specified by:
>   getPreferredSize in interface PageDrawable
> Returns:
>   the preferred size.

### glpyhToString

    public static String glpyhToString(Glyph g)

### isPreserveAspectRatio

    public boolean isPreserveAspectRatio()

> Returns true, if this drawable will preserve an aspect ratio during the drawing.
> Specified by:
>   isPreserveAspectRatio in interface PageDrawable
> Returns:
>   true, if an aspect ratio is preserved, false otherwise.